Supercheck LogoSupercheck
Organizations API

Add a project member

POST
/api/projects/{id}/members

Assign an organization member to the project. Needs the manage members permission. Returns 403 with code ORG_PENDING_DELETION while the organization is pending deletion. Requires an interactive browser session; project-scoped CLI tokens receive 403.

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

Interactive Better Auth browser session. Secure deployments may use the __Secure- cookie prefix.

Path Parameters

id*string
Formatuuid

Request Body

application/json
  1. body
userId*string

An existing member of the organization.

Formatuuid
role?string

Cannot be higher than the member's organization role.

Default"project_viewer"
Value in"project_admin""project_editor""project_viewer"

Response Body

Member added

application/json
  1. response
success?boolean
member?
Example Request
curl -X POST 'https://app.supercheck.io/api/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/members' \  -H 'Content-Type: application/json' \  -d '{  "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b"}'
Example Response
{  "success": true,  "member": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "userId": "string",    "role": "project_admin",    "createdAt": "2019-08-24T14:15:22Z",    "user": {      "id": "string",      "name": "string",      "email": "string",      "image": "string"    }  }}